## PhoshRunCommandDialog

PhoshRunCommandDialog — A modal dialog to run commands from

## Functions

GtkWidget * | phosh_run_command_dialog_new ()
void | phosh_run_command_dialog_set_message ()

## Signals

void | cancelled | Run Last
void | submitted | Run Last

## Types and Values

#define | PHOSH_TYPE_RUN_COMMAND_DIALOG
| PhoshRunCommandDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── PhoshLayerSurface
                                ╰── PhoshSystemModal
                                    ╰── PhoshSystemModalDialog
                                        ╰── PhoshRunCommandDialog

## Implemented Interfaces

PhoshRunCommandDialog implements AtkImplementorIface and GtkBuildable.

## Description

The PhoshRunCommandDialog is used to run commands (e.g. via Alt+F2).

## Functions

### phosh_run_command_dialog_new ()

    GtkWidget *
    phosh_run_command_dialog_new (void);

### phosh_run_command_dialog_set_message ()

    void
    phosh_run_command_dialog_set_message (PhoshRunCommandDialog *self,
                                          const gchar *message);

## Types and Values

### PHOSH_TYPE_RUN_COMMAND_DIALOG

    #define PHOSH_TYPE_RUN_COMMAND_DIALOG (phosh_run_command_dialog_get_type ())

### PhoshRunCommandDialog

    typedef struct _PhoshRunCommandDialog PhoshRunCommandDialog;

## Signal Details

### The `“cancelled”` signal

    void
    user_function (PhoshRunCommandDialog *phoshruncommanddialog,
                   gpointer               user_data)

Flags: Run Last

### The `“submitted”` signal

    void
    user_function (PhoshRunCommandDialog *phoshruncommanddialog,
                   char                  *arg1,
                   gpointer               user_data)

Flags: Run Last